logo
Loading...

出現softmax() got an unexpected keyword argument ‘axis'錯誤 - Cupoy

environment: windows 8, anacondapython 3.6.6tensor...

ml100-2

出現softmax() got an unexpected keyword argument ‘axis'錯誤

2019/07/02 01:02 AM
機器學習新手論壇
astronomer
觀看數:0
回答數:1
收藏數:0
ml100-2

environment: windows 8, anaconda

python 3.6.6

tensorflow 1.4.0 (/w cuda 8.0)

但遇到 softmax 問題, 所以依照 pip install keras=2.2 安裝了 keras

問題仍在

升級成 cuda 9.0, 以及 tensorflow 1.12.0, 結果問題變成下面訊息, 請問該如何解決?


---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
    57
---> 58   from tensorflow.python.pywrap_tensorflow_internal import *
    59   from tensorflow.python.pywrap_tensorflow_internal import __version__

d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in <module>
    27             return _mod
---> 28     _pywrap_tensorflow_internal = swig_import_helper()
    29     del swig_import_helper

d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()
    23             try:
---> 24                 _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
    25             finally:

d:\Anaconda3\envs\pt\lib\imp.py in load_module(name, file, filename, details)
   242         else:
--> 243             return load_dynamic(name, filename, file)
   244     elif type_ == PKG_DIRECTORY:

d:\Anaconda3\envs\pt\lib\imp.py in load_dynamic(name, path, file)
   342             name=name, loader=loader, origin=path)
--> 343         return _load(spec)
   344

ImportError: DLL load failed: 找不到指定的模組。

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
<ipython-input-1-80e6ec31374c> in <module>
     1 # 載入必須使用的 Library
----> 2 import keras
     3 from keras.datasets import cifar10
     4 from keras.models import Sequential, load_model
     5 from keras.layers import Dense, Dropout, Activation, Flatten

d:\Anaconda3\envs\pt\lib\site-packages\keras\__init__.py in <module>
     1 from __future__ import absolute_import
     2
----> 3 from . import utils
     4 from . import activations
     5 from . import applications

d:\Anaconda3\envs\pt\lib\site-packages\keras\utils\__init__.py in <module>
     4 from . import data_utils
     5 from . import io_utils
----> 6 from . import conv_utils
     7
     8 # Globally-importable utils.

d:\Anaconda3\envs\pt\lib\site-packages\keras\utils\conv_utils.py in <module>
     7 from six.moves import range
     8 import numpy as np
----> 9 from .. import backend as K
    10
    11

d:\Anaconda3\envs\pt\lib\site-packages\keras\backend\__init__.py in <module>
    85 elif _BACKEND == 'tensorflow':
    86     sys.stderr.write('Using TensorFlow backend.\n')
---> 87     from .tensorflow_backend import *
    88 else:
    89     # Try and load external backend.

d:\Anaconda3\envs\pt\lib\site-packages\keras\backend\tensorflow_backend.py in <module>
     3 from __future__ import print_function
     4
----> 5 import tensorflow as tf
     6 from tensorflow.python.framework import ops as tf_ops
     7 from tensorflow.python.training import moving_averages

d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\__init__.py in <module>
    22
    23 # pylint: disable=g-bad-import-order
---> 24 from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
    25
    26 try:

d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\__init__.py in <module>
    47 import numpy as np
    48
---> 49 from tensorflow.python import pywrap_tensorflow
    50
    51 from tensorflow.python.tools import component_api_helper

d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
    72 for some common reasons and solutions.  Include the entire stack trace
    73 above this error message when asking for help.""" % traceback.format_exc()
---> 74   raise ImportError(msg)
    75
    76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-long

ImportError: Traceback (most recent call last):
 File "d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_
tensorflow.py", line 58, in <module>
   from tensorflow.python.pywrap_tensorflow_internal import *
 File "d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_tensorflow_
internal.py", line 28, in <module>
   _pywrap_tensorflow_internal = swig_import_helper()
 File "d:\Anaconda3\envs\pt\lib\site-packages\tensorflow\python\pywrap_tensorflow_
internal.py", line 24, in swig_import_helper
   _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
 File "d:\Anaconda3\envs\pt\lib\
imp.py", line 243, in load_module
   return load_dynamic(name, filename, file)
 File "d:\Anaconda3\envs\pt\lib\
imp.py", line 343, in load_dynamic
   return _load(spec)
ImportError: DLL load failed: 找不到指定的模組。


Failed to load the native TensorFlow runtime.

See
https://www.tensorflow.org/install/errors

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.